package com.bastionsdk.ane.android.functions;

import android.util.Log;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;
import com.bastionsdk.android.Bastion;

public class SetCanUseAdvertisingIDFunction implements FREFunction
{

	@Override
	public FREObject call(FREContext context, FREObject[] args)
	{
		Boolean canUseAdverstisingID = null;
		
		try
		{
			canUseAdverstisingID = args[0].getAsBool();
		}
		catch(Exception e)
		{
			Log.e("BastionANE", "Error on retreiving canUseAdverstisingID");
			return null;
		}
		
		Bastion.setCanUseAdvertisingID(canUseAdverstisingID.booleanValue());
		
		return null;
	}

}
