package com.bastionsdk.ane.android.functions;

import android.util.Log;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;
import com.bastionsdk.android.Bastion;

public class SetCustomUserIDFunction implements FREFunction
{

	@Override
	public FREObject call(FREContext context, FREObject[] args)
	{
		String customID = null;
		
		try
		{
			customID = args[0].getAsString();
		}
		catch(Exception e)
		{
			Log.e("BastionANE", "Error on retreiving customID");
			return null;
		}
		
		Bastion.setCustomUserID(customID);
		
		return null;
	}

}
